<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Todo Lists</title>
    </head>
    <body>
        <main>
            <div>
                <h1>My Lists</h1>
                <div>
                <a href="{% url 'todo_list_create' %}">Create a new list</a>
                </div>
                <div>
                <a href="{% url 'todo_item_create' %}">Create a new item</a>
                </div>
                <table>
                    <thead>
                        <tr>
                            <td>Name</td>
                            <td>Number of items</td>
                        </tr>
                    </thead>
                    <tbody>
                        {% for item in todo_list_list.all %}
                        <tr>
                            <td><a href="{% url 'todo_list_detail' item.id %}">{{ item.name }}</a></td>
                            <td>{{ item.items.count }}</td>
                        </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </main>
    </body>
</html>
